com.smartgwt.client.widgets.form

## Class SearchForm

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.smartgwt.client.widgets.BaseWidget
      - - com.smartgwt.client.widgets.Canvas
        - - com.smartgwt.client.widgets.form.DynamicForm
          - - com.smartgwt.client.widgets.form.SearchForm

- All Implemented Interfaces:
    HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsWidget, LogicalStructure, DataBoundComponent, HasClickHandlers, HasDoubleClickHandlers, HasDragCompleteHandlers, HasDragMoveHandlers, HasDragRepositionMoveHandlers, HasDragRepositionStartHandlers, HasDragRepositionStopHandlers, HasDragResizeMoveHandlers, HasDragResizeStartHandlers, HasDragResizeStopHandlers, HasDragStartHandlers, HasDragStopHandlers, HasDropCompleteHandlers, HasDropHandlers, HasDropMoveHandlers, HasDropOutHandlers, HasDropOverHandlers, HasFetchDataHandlers, HasFocusChangedHandlers, HasHoverHandlers, HasHoverHiddenHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseStillDownHandlers, HasMouseUpHandlers, HasMouseWheelHandlers, HasMovedHandlers, HasParentMovedHandlers, HasResizedHandlers, HasRightMouseDownHandlers, HasScrolledHandlers, HasShowContextMenuHandlers, HasVisibilityChangedHandlers, HasAsyncValidationReplyHandlers, HasFormSubmitFailedHandlers, HasHiddenValidationErrorsHandlers, HasItemChangedHandlers, HasItemChangeHandlers, HasItemKeyPressHandlers, HasSubmitValuesHandlers, HasValuesChangedHandlers

      public class SearchForm
      extends DynamicForm

  A SearchForm is a DynamicForm specialized for a user to enter search criteria.

  All DynamicForm properties and methods work on SearchForm. SearchForm extends and specializes DynamicForm for searching; for example, SearchForm sets `hiliteRequiredFields` false by default because fields are typically not required in a search.

  See Also:
    `DynamicForm`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

      `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchForm()`
    `SearchForm(JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `protected JavaScriptObject` | `create()`
    `java.lang.String` | `getCanEditFieldAttribute()` This property is overridden in SearchForm to allow editing of dataSource fields marked as `canFilter:true` by default.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `getLogicalStructure()` Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `static SearchForm` | `getOrCreateRef(JavaScriptObject jsObj)`
    `java.lang.Boolean` | `getShowFilterFieldsOnly()` If this attribute is true any `canFilter:false` fields specified on the dataSource will not be shown unless explicitly included in this component's `fields array`
    `void` | `setCanEditFieldAttribute(java.lang.String canEditFieldAttribute)` This property is overridden in SearchForm to allow editing of dataSource fields marked as `canFilter:true` by default.
    `static void` | `setDefaultProperties(SearchForm searchFormProperties)` Class level method to set the default properties of this class.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `setLogicalStructure(com.smartgwt.logicalstructure.widgets.form.SearchFormLogicalStructure s)` Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `void` | `setShowFilterFieldsOnly(java.lang.Boolean showFilterFieldsOnly)` If this attribute is true any `canFilter:false` fields specified on the dataSource will not be shown unless explicitly included in this component's `fields array`

    - ### Methods inherited from class com.smartgwt.client.widgets.form.DynamicForm

      `addAsyncValidationReplyHandler, addDragCompleteHandler, addDropCompleteHandler, addFetchDataHandler, addFormSubmitFailedHandler, addFormulaField, addHiddenValidationErrorsHandler, addItemChangedHandler, addItemChangeHandler, addItemKeyPressHandler, addSubmitValuesHandler, addSummaryField, addValuesChangedHandler, anySelected, cancel, cancel, cancelEditing, checkForValidationErrors, checkForValidationErrors, checkForValidationErrors, clearErrors, clearFieldErrors, clearValue, clearValues, completeEditing, deselectAllRecords, deselectRecord, deselectRecord, deselectRecords, deselectRecords, disableHilite, disableHiliting, editFields, editHilites, editNewRecord, editNewRecord, editNewRecord, editRecord, editSelectedData, editSelectedData, enableHilite, enableHilite, enableHiliting, enableHiliting, exportData, exportData, fetchData, fetchData, fetchData, fetchData, fetchRelatedData, fetchRelatedData, fetchRelatedData, filterData, filterData, filterData, filterData, find, findAll, findIndex, findNextIndex, findNextIndex, focus, focusInItem, focusInItem, focusInItem, getAction, getAddDropValues, getAddFormulaFieldText, getAddOperation, getAddSummaryFieldText, getAllowExpressions, getAutoComplete, getAutoFetchAsFilter, getAutoFetchData, getAutoFetchTextMatchStyle, getAutoFocus, getAutoFocusOnError, getBrowserSpellCheck, getCanAddFormulaFields, getCanAddSummaryFields, getCancelParamName, getCancelParamValue, getCanEdit, getCanFocus, getCanSubmit, getCanTabToSectionHeaders, getCellBorder, getCellPadding, getCellSpacing, getChangedValues, getClipItemTitles, getClipStaticValue, getDataAsJSList, getDataFetchMode, getDataPageSize, getDataSource, getDateFormatter, getDatetimeFormatter, getDefaultSearchOperator, getDisableValidation, getDragData, getDragDataAction, getDragTrackerStyle, getDropValues, getDuplicateDragMessage, getEditFormulaFieldText, getEditProxyConstructor, getEditSummaryFieldText, getEncoding, getErrorItemCellStyle, getErrors, getErrorsPreamble, getEventItem, getEventItemInfo, getExportAll, getExportFields, getFetchOperation, getField, getFieldErrors, getFields, getFixedColWidths, getFocusItem, getFormSubmitFailedWarning, getHiliteProperty, getHiliteRequiredFields, getHilites, getHiliteState, getImplicitSave, getImplicitSaveDelay, getImplicitSaveOnBlur, getInitialCriteria, getItem, getItemHoverAlign, getItemHoverDelay, getItemHoverHeight, getItemHoverOpacity, getItemHoverStyle, getItemHoverVAlign, getItemHoverWidth, getItemLayout, getLongTextEditorThreshold, getLongTextEditorType, getMethod, getMinColWidth, getNumCols, getOldValues, getOperator, getPreventDuplicates, getProgressiveLoading, getReadOnlyDisplay, getReadOnlyTextBoxStyle, getRecordIndex, getRecordList, getRejectInvalidValueOnChange, getRemoveOperation, getRequiredMessage, getRequiredRightTitlePrefix, getRequiredRightTitleSuffix, getRequiredTitlePrefix, getRequiredTitleSuffix, getResultSet, getRightTitlePrefix, getRightTitleSuffix, getSaveOnEnter, getSaveOperationType, getSaveOperationType, getSectionVisibilityMode, getSelectOnClick, getSelectOnFocus, getShowComplexFields, getShowComplexFieldsRecursively, getShowDeletions, getShowDetailFields, getShowErrorIcons, getShowErrorStyle, getShowErrorText, getShowHiddenFields, getShowInlineErrors, getShowTitlesWithErrorMessages, getStopOnError, getSuppressValidationErrorCallback, getSynchronousValidation, getTarget, getTimeFormatter, getTitleAlign, getTitleField, getTitleFieldValue, getTitleOrientation, getTitlePrefix, getTitleSuffix, getUnknownErrorMessage, getUpdateOperation, getUseAllDataSourceFields, getUseFlatFields, getUserTask, getValidateOnChange, getValidateOnExit, getValidationURL, getValue, getValueAsString, getValues, getValuesAsAdvancedCriteria, getValuesAsAdvancedCriteria, getValuesAsCriteria, getValuesAsRecord, getValuesManager, getWrapItemTitles, hasErrors, hasFieldErrors, hideItem, invalidateCache, isNewRecord, isPendingAsyncValidation, onInit_DynamicForm, onInit, rememberValues, reset, resetValues, saveData, saveData, saveData, selectAllRecords, selectRecord, selectRecord, selectRecord, selectRecord, selectRecords, selectRecords, selectRecords, selectRecords, setAction, setAddDropValues, setAddFormulaFieldText, setAddOperation, setAddSummaryFieldText, setAllowExpressions, setAutoComplete, setAutoFetchAsFilter, setAutoFetchData, setAutoFetchTextMatchStyle, setAutoFocus, setAutoFocusOnError, setBrowserSpellCheck, setCanAddFormulaFields, setCanAddSummaryFields, setCancelParamName, setCancelParamValue, setCanEdit, setCanFocus, setCanSubmit, setCanTabToSectionHeaders, setCellBorder, setCellPadding, setCellSpacing, setClipItemTitles, setClipStaticValue, setColWidths, setDataFetchMode, setDataPageSize, setDataSource, setDataSource, setDateFormatter, setDatetimeFormatter, setDefaultProperties, setDefaultSearchOperator, setDisableValidation, setDragDataAction, setDragTrackerStyle, setDropValues, setDuplicateDragMessage, setEditFormulaFieldText, setEditProxyConstructor, setEditSummaryFieldText, setEncoding, setErrorItemCellStyle, setErrorOrientation, setErrors, setErrorsPreamble, setExportAll, setExportFields, setFetchOperation, setFieldErrors, setFieldErrors, setFields, setFixedColWidths, setFormSubmitFailedWarning, setHiliteProperty, setHiliteRequiredFields, setHilites, setHiliteState, setImplicitSave, setImplicitSaveDelay, setImplicitSaveOnBlur, setInitialCriteria, setItemHoverAlign, setItemHoverDelay, setItemHoverFormatter, setItemHoverHeight, setItemHoverOpacity, setItemHoverStyle, setItemHoverVAlign, setItemHoverWidth, setItemLayout, setItems, setItemTitleHoverFormatter, setItemValueHoverFormatter, setLogicalStructure, setLongTextEditorThreshold, setLongTextEditorType, setMethod, setMinColWidth, setNumCols, setOperator, setPreventDuplicates, setProgressiveLoading, setReadOnlyDisplay, setReadOnlyTextBoxStyle, setRejectInvalidValueOnChange, setRemoveOperation, setRequiredMessage, setRequiredRightTitlePrefix, setRequiredRightTitleSuffix, setRequiredTitlePrefix, setRequiredTitleSuffix, setRightTitlePrefix, setRightTitleSuffix, setSaveOnEnter, setSaveOperationType, setSectionVisibilityMode, setSelectOnClick, setSelectOnFocus, setShowComplexFields, setShowComplexFieldsRecursively, setShowDeletions, setShowDetailFields, setShowErrorIcons, setShowErrorStyle, setShowErrorText, setShowHiddenFields, setShowInlineErrors, setShowTitlesWithErrorMessages, setStopOnError, setSuppressValidationErrorCallback, setSynchronousValidation, setTarget, setTimeFormatter, setTitleAlign, setTitleField, setTitleOrientation, setTitlePrefix, setTitleSuffix, setTitleWidth, setTitleWidth, setUnknownErrorMessage, setUpdateOperation, setUseAllDataSourceFields, setUseAllDataSourceFields, setUseFlatFields, setUserTask, setValidateOnChange, setValidateOnExit, setValidationURL, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValues, setValuesAsCriteria, setValuesManager, setWrapItemTitles, showErrors, showFieldErrors, showItem, submit, submit, submit, submitForm, titleClipped, transferSelectedData, transferSelectedData, validate, validate, validateData, validateData, valuesAreValid, valuesHaveChanged`

    - ### Methods inherited from class com.smartgwt.client.widgets.Canvas

      `addChild, addChild, addChild, addChild, addChild, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addScrolledHandler, addShowContextMenuHandler, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsFocus, containsPoint, containsPoint, deparent, depeer, disable, enable, encloses, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaRole, getAutoDraw, getAutoMaskComponents, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContextMenu, getCursor, getDataPath, getDefaultHeight, getDefaultWidth, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragType, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEventEdge, getEventEdge, getExtraSpace, getFacetId, getFormItemAutoChild, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverComponent, getHoverDelay, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapOrigin, getHSnapOrigin, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getKeepInParentRect, getLayoutAlign, getLeavePageSpace, getLeft, getLeftAsString, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMaxHeight, getMaxWidth, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getNextZIndex, getNoDoubleClicks, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getOverflow, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getParentCanvas, getParentElement, getPeers, getPercentBox, getPercentSource, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowDepth, getShadowImage, getShadowOffset, getShadowSoftness, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowHover, getShowHoverComponents, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSkinImgDir, getSnapAxis, getSnapEdge, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapResizeToGrid, getSnapTo, getSnapToGrid, getSnapVDirection, getSnapVGap, getStyleName, getTabIndex, getTestInstance, getTitle, getTooltip, getTop, getTopAsString, getTopElement, getUseBackMask, getUseDragMask, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWidth, getVSnapOrigin, getVSnapOrigin, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getZIndex, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, intersects, isDirty, isDisabled, isDrawn, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, parentResized, printComponents, redraw, redraw, removeChild, removeChild, removePeer, removePeer, resizeBy, resizeTo, resizeTo, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAlign, setAllowExternalFilters, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoDraw, setAutoHeight, setAutoMaskComponents, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBottom, setCanAcceptDrop, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanHover, setCanSelectText, setChildren, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContextMenu, setCursor, setDataPath, setDefaultHeight, setDefaultPageSpace, setDefaultProperties, setDefaultWidth, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragType, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setExtraSpace, setFacetId, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverDelay, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeavePageSpace, setLeft, setLeft, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLogicalStructure, setMargin, setMatchElement, setMaxHeight, setMaxWidth, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setNeverUseFilters, setNoDoubleClicks, setOpacity, setOverflow, setPadding, setPageLeft, setPageTop, setParentCanvas, setParentElement, setPeers, setPercentBox, setPercentSource, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setRect, setRect, setRedrawOnResize, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setScrollbarConstructor, setScrollbarSize, setShadowDepth, setShadowImage, setShadowOffset, setShadowSoftness, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowHover, setShowHoverComponents, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSkinImgDir, setSmoothFade, setSnapAxis, setSnapEdge, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToGrid, setSnapTo, setSnapToGrid, setSnapVDirection, setSnapVGap, setStyleName, setTabIndex, setTitle, setTooltip, setTop, setTop, setUseBackMask, setUseDragMask, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setVisibility, setVisible, setWidth, setWidth, setWidth, setWidth100, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, updateEditNode, updateHover, updateHover, updateShadow, visibleAtPoint, willAcceptDrop`

    - ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

      `addDrawHandler, applyFactoryProperties, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.smartgwt.client.widgets.DataBoundComponent

      `getOrCreateJsObj`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### SearchForm

          public SearchForm()

    - #### SearchForm

          public SearchForm(JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static SearchForm getOrCreateRef(JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties.
      See Also:
        `AutoChildUsage`

    - #### create

          protected JavaScriptObject create()

      Overrides:
        `create` in class `DynamicForm`

    - #### setCanEditFieldAttribute

          public void setCanEditFieldAttribute(java.lang.String canEditFieldAttribute)
                                        throws java.lang.IllegalStateException

      This property is overridden in SearchForm to allow editing of dataSource fields marked as `canFilter:true` by default.

      Note : This is an advanced setting

      Overrides:
        `setCanEditFieldAttribute` in class `DynamicForm`
      Parameters:
        `canEditFieldAttribute` - Default value is "canFilter"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getCanEditFieldAttribute

          public java.lang.String getCanEditFieldAttribute()

      This property is overridden in SearchForm to allow editing of dataSource fields marked as `canFilter:true` by default.
      Overrides:
        `getCanEditFieldAttribute` in class `DynamicForm`
      Returns:
        String

    - #### setShowFilterFieldsOnly

          public void setShowFilterFieldsOnly(java.lang.Boolean showFilterFieldsOnly)

      If this attribute is true any `canFilter:false` fields specified on the dataSource will not be shown unless explicitly included in this component's `fields array`

      Note : This is an advanced setting

      Parameters:
        `showFilterFieldsOnly` - Default value is true

    - #### getShowFilterFieldsOnly

          public java.lang.Boolean getShowFilterFieldsOnly()

      If this attribute is true any `canFilter:false` fields specified on the dataSource will not be shown unless explicitly included in this component's `fields array`
      Returns:
        Boolean

    - #### setDefaultProperties

          public static void setDefaultProperties(SearchForm searchFormProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `searchFormProperties` - properties that should be used as new defaults when instances of this class are created

    - #### setLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject setLogicalStructure(com.smartgwt.logicalstructure.widgets.form.SearchFormLogicalStructure s)

      Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

    - #### getLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject getLogicalStructure()

      Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
      Specified by:
        `getLogicalStructure` in interface `LogicalStructure`
      Overrides:
        `getLogicalStructure` in class `DynamicForm`